Package com.smartgwt.client.bean.types

# Class JsoWrapperValueType<ValueType>

java.lang.Object
com.smartgwt.client.bean.BeanValueType<ValueType>
com.smartgwt.client.bean.types.JsoWrapperValueType<ValueType>

Direct Known Subclasses:
  `CanvasBaseValueType`, `DataSourceBaseValueType`

public abstract class JsoWrapperValueType<ValueType> extends BeanValueType<ValueType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.smartgwt.client.bean.BeanValueType

  `BeanValueType.Convertability, BeanValueType.MetaFactory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JsoWrapperValueType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `canWrapJavaScriptObject(JavaScriptObject value)`
  `BeanValueType.Convertability`
  `convertabilityFrom(Object value)`
  `ValueType`
  `convertFrom(Object value)`
  `protected String`
  `getScClassName()`
  `protected abstract ValueType`
  `newInstance(JavaScriptObject value)`

  ### Methods inherited from class com.smartgwt.client.bean.BeanValueType

  `conversionException, convertabilityFrom, convertabilityToString, convertabilityToString, convertFrom, convertMapToJavascriptObject, convertToJava, convertToJavaScriptArray, convertToJavaScriptObject, convertToString, doConvertToString, getBeanValueType, getValueType, isA, isAssignableFrom, isAssignableFrom, isAssignableFrom, nullValue, registerBasicValueTypes, registerBeanValueType, wrapInJavascriptArray`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JsoWrapperValueType

    public JsoWrapperValueType()

- ## Method Details

  - ### convertabilityFrom

    public BeanValueType.Convertability convertabilityFrom(Object value)
    Overrides:
      `convertabilityFrom` in class `BeanValueType<ValueType>`

  - ### canWrapJavaScriptObject

    protected boolean canWrapJavaScriptObject(JavaScriptObject value)

  - ### getScClassName

    protected String getScClassName()

  - ### newInstance

    protected abstract ValueType newInstance(JavaScriptObject value)

  - ### convertFrom

    public ValueType convertFrom(Object value)
    Overrides:
      `convertFrom` in class `BeanValueType<ValueType>`